<id>
Allow Stealth-Modus for all Members
</id>

<version>
1.2 beta for YaBB 2.4
</version>

<mod info>
This Mod allows all Members to use the Stealth-Mode.


Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.


Files to edit:

Admin/ModList.pl
Admin/Settings_Main.pl
Sources/MyCenter.pl
Sources/Porfile.pl
Languages/English/Admin.lng
</mod info>

<author>
Miguel Gandoy (mick)
</author>

<homepage>
http://www.info4alien.de
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
## Stealth mode for all Mod ##
	$Stealthmode_4_all = "Allow stealth mode for all members|Miguel Gandoy (<a href=\"http://info4alien.de\" target=\"_blank\">mick</a>)|This mod allows all members to use the stealth mode|1.11 beta|March 10th, 2009";
	push (@installed_mods, "$Stealthmode_4_all");
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'stealh' => 'Enable \'Stealth\' mode for Admins and Gmods?<br /><span class="small">Allows status label to stay at Offline/Away for all members viewing</span>',
</search for>

<replace>
'stealh' => 'Enable \'Stealth\' mode?<br /><span class="small">Allows status label FOR ALL MEMBERS to stay at Offline/Away for all members viewing</span>',
</replace>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		if (($iamadmin || $iamgmod) && $enable_MCstatusStealth) {
			$stealthstatus = $mycenter_txt{'stealth_off'};
			if (${$uid.$username}{'stealth'}) { $stealthstatus = $mycenter_txt{'stealth_on'}; }
			$stealthstatus = qq~		<tr>
					<td class="windowbg2">$mycenter_txt{'stealth'}</td>
					<td class="windowbg2">'$stealthstatus'</td>
				</tr>~;
		}

		$MCContent .= qq~'$onOffStatus'</td>
				</tr>
		$stealthstatus
		</table>
		~;
</search for>

<replace>
		if ($enable_MCstausStealth) {
			$stealthstatus = $mycenter_txt{'stealth_off'};
			if (${$uid.$username}{'stealth'}) { $stealthstatus = $mycenter_txt{'stealth_on'}; }
			$stealthstatus = qq~
				<tr>
					<td class="windowbg2">$mycenter_txt{'stealth'}</td>
					<td class="windowbg2">\'$stealthstatus\'</td>
				</tr>~;
		}

		$MCContent .= qq~\'$onOffStatus\'</td>
				</tr>
		$stealthstatus
		</table>
		~;
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	if ((${$uid.$user}{'position'} eq 'Administrator' || ${$uid.$user}{'position'} eq 'Global Moderator') && $enable_MCstatusStealth) {
		my $stealthChecked = '';
		if (${$uid.$user}{'stealth'}) { $stealthChecked = ' checked="checked"'; }
		$showProfile .= qq~
	<tr class="windowbg">
		<td width="320" align="left"><label for="stealth"><b>$profile_txt{'stealth'}: </b><br /><span class="small">$profile_txt{'stealthexplain'}</span></label></td>
		<td align="left"><input type="checkbox" name="stealth" id="stealth" value="1"$stealthChecked /></td>
	</tr>~;
	}
</search for>

<replace>
	if (($user eq $username) && $enable_MCstatusStealth) {
		my $stealthChecked = '';
		if (${$uid.$user}{'stealth'}) { $stealthChecked = ' checked="checked"'; }
		$showProfile .= qq~
	<tr class="windowbg">
		<td width="320" align="left"><label for="stealth"><b>$profile_txt{'stealth'}: </b><br /><span class="small">$profile_txt{'stealthexplain'}</span></label></td>
		<td align="left"><input type="checkbox" name="stealth" id="stealth" value="1"$stealthChecked /></td>
	</tr>~;
	}
</replace>

<search for>
	${$uid.$user}{'awaysubj'} = $member{'awaysubj'};
	${$uid.$user}{'awayreply'} = $member{'awayreply'};
	${$uid.$user}{'stealth'} = (${$uid.$user}{'position'} eq 'Administrator' || ${$uid.$user}{'position'} eq 'Global Moderator') ? $member{'stealth'} : "";
</search for>

<replace>
	${$uid.$user}{'awaysubj'} = $member{'awaysubj'};
	${$uid.$user}{'awayreply'} = $member{'awayreply'};
	${$uid.$user}{'stealth'} = ($user eq $username) ? $member{'stealth'} : "";
</replace>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
		{
			description => $admin_txt{'buddylist'},
			input_html => qq~<input type="checkbox" name="buddyListEnabled" value="1"${ischecked($buddyListEnabled)} />~,
			name => 'buddyListEnabled',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => $admin_txt{'stealh'},
			input_html => qq~<input type="checkbox" name="enable_MCstatusStealth" value="1"${ischecked($enable_MCstatusStealth)}/>~,
			name => 'enable_MCstatusStealth',
			validate => 'boolean',
		},
</add after>

<search for>
			name => 'modview',
			validate => 'number',
		},
		{
			description => $admin_txt{'stealh'},
			input_html => qq~<input type="checkbox" name="enable_MCstatusStealth" value="1"${ischecked($enable_MCstatusStealth)}/>~,
			name => 'enable_MCstatusStealth',
			validate => 'boolean',
		},
</search for>

<replace>
			name => 'modview',
			validate => 'number',
		},

# MCstatusStealth moved from here
</replace>